Index: scripts/i.landsat.rgb/i.landsat.rgb
===================================================================
--- scripts/i.landsat.rgb/i.landsat.rgb	(revision 29738)
+++ scripts/i.landsat.rgb/i.landsat.rgb	(working copy)
@@ -71,6 +71,12 @@
  exit 1
 fi
 
+# check if we have awk
+if [ ! -x "`which awk`" ] ; then
+    g.message -e "awk required, please install awk or gawk first" 
+    exit 1
+fi
+
 # save command line
 if [ "$1" != "@ARGS_PARSED@" ] ; then
     CMDLINE="`basename $0`"
@@ -116,7 +122,7 @@
 
 if [ 0 -eq $GIS_FLAG_P ] ; then
    for i in $RED $GREEN $BLUE ; do
-      g.message "Processing [$i] .."
+      g.message "Processing <$i>..."
       MIN=`r.univar -ge $i perc=2 | grep "^percentile_" | cut -d'=' -f2`
       MAX=`r.univar -ge $i perc=$BRIGHTNESS | grep "^percentile_" | cut -d'=' -f2`
       #echo "[$i]:  min=$MIN   max=$MAX"
@@ -131,18 +137,14 @@
    ALL_MAX=0
    ALL_MIN=255
    for i in $RED $GREEN $BLUE ; do
-      g.message "Processing [$i] .."
+      g.message "Processing <$i>..."
       MIN=`r.univar -ge $i perc=2  | grep "^percentile_" | cut -d'=' -f2`
       MAX=`r.univar -ge $i perc=$BRIGHTNESS | grep "^percentile_" | cut -d'=' -f2`
-      #echo "[$i]:  min=$MIN   max=$MAX"
-      if [ $MAX -gt $ALL_MAX ] ; then
-	ALL_MAX=$MAX
-      fi
-      if [ $MIN -lt $ALL_MIN ] ; then
-	ALL_MIN=$MIN
-      fi
+      # echo "[$i]:  min=$MIN   max=$MAX"
+      ALL_MAX=`echo "$MAX $ALL_MAX" | awk '{if ($1 > $2) print $1; else print $2}'`
+      ALL_MIN=`echo "$MIN $ALL_MIN" | awk '{if ($1 < $2) print $1; else print $2}'`
    done
-   #echo "all_min=$ALL_MIN   all_max=$ALL_MAX"
+   # echo "all_min=$ALL_MIN   all_max=$ALL_MAX"
    for i in $RED $GREEN $BLUE ; do
       r.colors $i col=rules << EOF
 	0% black
